package ca.recrown.islandsurvivalcraft;

import org.bukkit.event.Listener;
import org.bukkit.generator.ChunkGenerator;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import ca.recrown.islandsurvivalcraft.world.WorldInfoManager;

public class IslandSurvivalCraft extends JavaPlugin implements Listener {
    private PluginManager pluginManager;
    private WorldInfoManager worldInfos;

    @Override
    public void onEnable() {
        pluginManager = getServer().getPluginManager();
        worldInfos = new WorldInfoManager();
        pluginManager.registerEvents(worldInfos, this);
        super.onEnable();
    }

    @Override
    public void onDisable() {
        super.onDisable();
    }

    @Override
    public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
        return worldInfos.getChunkGenerator(getServer().getWorld(worldName));
    }

}
